<?php  
 
    $wp_customize->add_section(
        'featured_section',
        array(
            'title' => __( 'Featured Section', 'Luzuk' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'featured_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'featured_section_disable',
            array(
                'settings'      => 'featured_section_disable',
                'section'       => 'featured_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );

lzCustomLable($wp_customize, 'featured_upper_box', 'featured_section', 'Manage Background For Complete Section:');

backgroundManager($wp_customize, 'featured', 'featured_section', $color='#ffffff');


lzCustomLable($wp_customize, 'featured_lower_box', 'featured_section', 'Set Background Color For Lower Box:');

$wp_customize->add_setting(
    'Featured_ContentBox_color_one', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Featured_ContentBox_color_one',array(
            'settings'      => 'Featured_ContentBox_color_one',
            'section'       => 'featured_section',
            'label'         => __( 'Lower Box Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Featured_ContentBox_color_two', array(
        'default'           => '#50b2f1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Featured_ContentBox_color_two',array(
            'settings'      => 'Featured_ContentBox_color_two',
            'section'       => 'featured_section',
            'label'         => __( 'Lower Box Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 


lzCustomLable($wp_customize, 'featuredSectionPaddingSetting', 'featured_section', 'Section Top & Bottom Padding:');

$wp_customize->add_setting(
    'featuredTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '12em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'featuredTpadding',
    array(
        'settings'      => 'featuredTpadding',
        'section'       => 'featured_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'featuredBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '10em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'featuredBpadding',
    array(
        'settings'      => 'featuredBpadding',
        'section'       => 'featured_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting('featured_section_iconntnlbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'featured_section_iconntnlbl',
        array(
            'settings'      => 'featured_section_iconntnlbl',
            'section'       => 'featured_section',
            'label'         => __( 'Note:', 'Luzuk' ),    
            'description'   => __( 'Changes Will not reflect untill you select fontawesome icon', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('featured_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'featured_npp_heading',
        array(
            'settings'      => 'featured_npp_heading',
            'section'       => 'featured_section',
            'label'         => __( 'Number Of Featured Plans', 'Luzuk' ),
        )
    )
);    
$wp_customize->add_setting('featured_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'featured_npp_count',
    array(
        'settings'      => 'featured_npp_count',
        'section'       => 'featured_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'featured_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'featured_header'.$i,
            array(
                'settings'      => 'featured_header'.$i,
                'section'       => 'featured_section',
                'label'         => __( 'Featured Page ', 'Luzuk' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'featured_page_icon'.$i,
        array(
            'default'           => 'fa fa-truck',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'featured_page_icon'.$i,
            array(
                'settings'      => 'featured_page_icon'.$i,
                'section'       => 'featured_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
            )
        )
    ); 
lzAddElement($wp_customize, 'featured_page_Number_'.$i, 'featured_section', $type = 'text', $label="Featured Page Number", $callback ='lz_fitness_sanitize_text', $default='1');

lzAddElement($wp_customize, 'featured_page_title_'.$i, 'featured_section', $type = 'text', $label="Featured Page Title", $callback ='lz_fitness_sanitize_text', $default='Free delivery');

$wp_customize->add_setting(
        'Featured_page_button_title_'.$i,
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Read More', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'Featured_page_button_title_'.$i,
        array(
            'settings' =>'Featured_page_button_title_'.$i,
            'section' => 'featured_section',
            'type'=> 'text',
            'label'=> __('Button Text', 'lz-fitness-premium')
        )
    );
    

lzAddElement($wp_customize, 'featured_page_url_'.$i, 'featured_section', $type = 'text', $label="Link For featured Page", $callback ='esc_url', $default='Add link here');
}


lzCustomLable($wp_customize, 'featuredSectionColorsSetting', 'featured_section', 'Set Colors:');


addColorPalatOption($wp_customize, 'featured_PageNumberColor', 'featured_section', 'Featured Page Number Color', '#f4f4f4');
addColorPalatOption($wp_customize, 'featured_PageNumberHoverColor', 'featured_section', 'Featured Page Number Hover Color', '#768ff6');



$wp_customize->add_setting(
    'featured_PageNumberHover_color_one', array(
        'default'           => '#4ac6eb',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'featured_PageNumberHover_color_one',array(
            'settings'      => 'featured_PageNumberHover_color_one',
            'section'       => 'featured_section',
            'label'         => __( 'Featured Box Hover Border Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'featured_PageNumberHover_color_two', array(
        'default'           => '#596be9',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'featured_PageNumberHover_color_two',array(
            'settings'      => 'featured_PageNumberHover_color_two',
            'section'       => 'featured_section',
            'label'         => __( 'Featured Box Hover Border Color Two ', 'Luzuk Premium' ),
        )
    )
); 



addColorPalatOption($wp_customize, 'featured_iconColor', 'featured_section', 'Featured Icon Color', '#768ff6');
addColorPalatOption($wp_customize, 'featured_PageTitleColor', 'featured_section', 'Featured Page Title Color', '#292929');
addColorPalatOption($wp_customize, 'featured_PageTitleHoverColor', 'featured_section', 'Featured Page Title Hover Color', '#768ff6');


addColorPalatOption($wp_customize, 'featured_BoxBgssColor', 'featured_section', 'Featured Box Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'featured_ButtontxtndArrowColor', 'featured_section', 'Button Text & Arrow Color', '#ffffff');

$wp_customize->add_setting(
    'Featured_button_color_one', array(
        'default'           => '#51b0f2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Featured_button_color_one',array(
            'settings'      => 'Featured_button_color_one',
            'section'       => 'featured_section',
            'label'         => __( 'Button Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Featured_button_color_two', array(
        'default'           => '#788af8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Featured_button_color_two',array(
            'settings'      => 'Featured_button_color_two',
            'section'       => 'featured_section',
            'label'         => __( 'Button Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

$wp_customize->add_setting(
    'Featured_button_color_three', array(
        'default'           => '#6d7bf5',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Featured_button_color_three',array(
            'settings'      => 'Featured_button_color_three',
            'section'       => 'featured_section',
            'label'         => __( 'Button Hover Background Color', 'Luzuk Premium' ),
        )
    )
); 
